

package gov.va.med.cds.clinicaldata;


import java.util.Date;
import java.util.HashSet;
import java.util.Set;


public interface TemplateMetaDataInterface
    extends
        TfsTemplateMetaDataInterface
{
    /**
     * @return the vhimVersion
     */
    String getWriteCdsVdm( );


    /**
     * @param aCdsVdm the cds vdm to set
     */
    void setWriteCdsVdm( String aCdsVdm );


    /**
     * @return the vhimVersion
     */
    HashSet<String> getReadCdsVdms( );


    /**
     * @param aCdsVdms the cds vdm hashset to set
     */
    void setReadCdsVdms( HashSet<String> aCdsVdms );


    Set<VhimVersionWrapper> getVhimVersionWrappers( );


    Set<DomainEntryPointWrapper> getDomainEntryPointWrappers( );
    
    void setDateUpdated(Date newDate);
}
